<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/feather-icons/feather.min.js"></script>
<script src="vendor/simplebar/simplebar.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/highlight.js/highlight.pack.js"></script>
<script src="vendor/quill/quill.min.js"></script>
<script src="vendor/air-datepicker/js/datepicker.min.js"></script>
<script src="vendor/air-datepicker/js/i18n/datepicker.en.js"></script>
<script src="vendor/select2/js/select2.min.js"></script>
<script src="vendor/fontawesome/js/all.min.js" data-auto-replace-svg="" async=""></script>
<script src="vendor/chart.js/chart.min.js"></script>
<script src="vendor/datatables/js/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/js/dataTables.bootstrap5.min.js"></script>
<script src="vendor/nouislider/nouislider.min.js"></script>
<script src="vendor/fullcalendar/main.min.js"></script>
<script src="js/stroyka.js"></script>
<script src="js/custom.js"></script>
<script src="js/calendar.js"></script>
<script src="js/demo.js"></script>
<script src="js/demo-chart-js.js"></script>
<script>
    // Disable double click
    document.addEventListener('DOMContentLoaded', function () {
        document.addEventListener('dblclick', function (event) {
            event.preventDefault();
        });
    });

    // Disable right click
    document.addEventListener('contextmenu', function (event) {
        event.preventDefault();
    });

    // Disable right click on mouse down event
    document.addEventListener('mousedown', function (event) {
        if (event.button === 2) { // 2 represents the right mouse button
            event.preventDefault();
        }
    });

    // Disable Ctrl+S key combination
    document.addEventListener('keydown', function (event) {
        if (event.ctrlKey && event.key === 's') { // Check if Ctrl+S is pressed
            event.preventDefault();
            // Add your custom code or display a message indicating the restriction
        }
    });
</script>